[TW5] Plugins files not saved

245 views
Skip to first unread message

Sylvain Dangin

unread,
Jul 14, 2016, 10:41:33 AM7/14/16
to TiddlyWiki
Hi, i'm new on TW5 (5.1.12) and i have a problem.
If i install a plugin (like language), no problem, all works fine.
But if i stop the server and restart it, all plugins doesn't works.

I have looking for a solution and i have found that all plugins files are empty in the tiddlers directory.
Are they special rights to set to the folders ?

Hans Maulwurf

unread,
Jul 14, 2016, 3:00:48 PM7/14/16
to TiddlyWiki
Which operating system are you using? The user that is running tiddlywiki/nodejs must have write-access to the directories.

Sylvain Dangin

unread,
Jul 14, 2016, 6:33:29 PM7/14/16
to TiddlyWiki
Debian Jessie with nginx, launched as root.

c pa

unread,
Jul 14, 2016, 6:43:46 PM7/14/16
to TiddlyWiki
Also you need to manually save your tiddler before exiting.

Sylvain Dangin

unread,
Jul 14, 2016, 7:49:56 PM7/14/16
to TiddlyWiki
I go in control Panel / Plugins
Install the language,
Save when check button pass from red to grey,
Refresh,

And if i kill the server and restart i have this : 

undefined:1

SyntaxError: Unexpected end of input
    at Object.parse (native)
    at $tw.modules.define.application/json (/usr/local/lib/node_modules/tiddlywiki/boot/boot.js:1296:23)
    at $tw.Wiki.deserializeTiddlers (/usr/local/lib/node_modules/tiddlywiki/boot/boot.js:1218:23)
    at $tw.loadTiddlersFromFile (/usr/local/lib/node_modules/tiddlywiki/boot/boot.js:1449:23)
    at $tw.loadTiddlersFromPath (/usr/local/lib/node_modules/tiddlywiki/boot/boot.js:1527:22)
    at /usr/local/lib/node_modules/tiddlywiki/boot/boot.js:1522:40
    at $tw.utils.each (/usr/local/lib/node_modules/tiddlywiki/boot/boot.js:69:12)
    at $tw.loadTiddlersFromPath (/usr/local/lib/node_modules/tiddlywiki/boot/boot.js:1520:15)
    at $tw.loadWikiTiddlers (/usr/local/lib/node_modules/tiddlywiki/boot/boot.js:1686:21)
    at $tw.loadTiddlersNode (/usr/local/lib/node_modules/tiddlywiki/boot/boot.js:1754:27)

(The crash is on JSON.parse on empty text string)

Jeremy Ruston

unread,
Jul 15, 2016, 1:42:27 PM7/15/16
to tiddl...@googlegroups.com
Hi Sylvain

You’ve actually uncovered two problems:

* Misleading documentation and user experience around plugin installation under the client-server configuration. With the Node.js configuration the plugin library is actually integrated into the installation. Rather than installing plugins using control panel, instead plugins are listed in the tiddlywiki.info file of the wiki. See the examples in the TW repo to see how it’s done

* Secondly, a bug whereby text tiddlers that weren’t marked as wikitext were saved as zero byte files under the client server configuration. I’ve started a fix for 5.1.13 here, but I’m still testing:


Best wishes

Jeremy.

--
You received this message because you are subscribed to the Google Groups "TiddlyWiki" group.
To unsubscribe from this group and stop receiving emails from it, send an email to tiddlywiki+...@googlegroups.com.
To post to this group, send email to tiddl...@googlegroups.com.
Visit this group at https://groups.google.com/group/tiddlywiki.
To view this discussion on the web visit https://groups.google.com/d/msgid/tiddlywiki/ebff48e3-23c7-4e88-9a28-e5e37f88c7ee%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Sylvain Dangin

unread,
Jul 15, 2016, 5:29:23 PM7/15/16
to TiddlyWiki
Thx for your answer.
If you need more informations, i can give you.

Best wishes

Sylvain Dangin

unread,
Jul 16, 2016, 11:20:05 AM7/16/16
to TiddlyWiki
I have tested few minutes your the actual github version and it's work. Thanks you for your work.
Just an information, they are multiple .tid extension on some files with this version.
$__StoryList.tid
$__StoryList.tid.tid
$__StoryList.tid.tid.tid
$__StoryList.tid.tid.tid.tid
$__StoryList.tid.tid.tid.tid.tid
$__StoryList.tid.tid.tid.tid.tid.tid

Best regards.

Le vendredi 15 juillet 2016 19:42:27 UTC+2, Jeremy Ruston a écrit :

Olivier Tripet

unread,
Aug 8, 2016, 5:01:05 AM8/8/16
to TiddlyWiki
Hi all, I'm running TW5.1.12 under node.js on ubuntu 16.04. I get exactly the same error message as Sylvain when starting the server.

Upgrading to 5.1.13 (in order to benefit from Jeremy's fix) with

sudo npm update -g tiddlywiki

doesn't work apparently.

Is there any way I can fix this by myself?

Many thanks for your help!

Jeremy Ruston

unread,
Aug 8, 2016, 5:14:04 AM8/8/16
to tiddl...@googlegroups.com
Hi Oliver

Hi all, I'm running TW5.1.12 under node.js on ubuntu 16.04. I get exactly the same error message as Sylvain when starting the server.

Upgrading to 5.1.13 (in order to benefit from Jeremy's fix) with

sudo npm update -g tiddlywiki

doesn't work apparently.

Do you mean that the upgrade to 5.1.13 didn’t take place, or that it didn’t fix the problem?

What do you see when you type the following?

tiddlywiki --version

Is there any way I can fix this by myself?

If you were running the faulty version then you may have ended up with some zero length files in your tiddlers folder. You’ll need to manually find them and remove them.

Best wishes

Jeremy


Many thanks for your help!


On Thursday, 14 July 2016 16:41:33 UTC+2, Sylvain Dangin wrote:
Hi, i'm new on TW5 (5.1.12) and i have a problem.
If i install a plugin (like language), no problem, all works fine.
But if i stop the server and restart it, all plugins doesn't works.

I have looking for a solution and i have found that all plugins files are empty in the tiddlers directory.
Are they special rights to set to the folders ?

-- 
You received this message because you are subscribed to the Google Groups "TiddlyWiki" group.
To unsubscribe from this group and stop receiving emails from it, send an email to tiddlywiki+...@googlegroups.com.
To post to this group, send email to tiddl...@googlegroups.com.
Visit this group at https://groups.google.com/group/tiddlywiki.

Olivier Tripet

unread,
Aug 8, 2016, 5:31:25 AM8/8/16
to TiddlyWiki
Hi Jeremy, that was a quick response!

The upgrade to 5.1.13 didn’t take place. When using the upgrade command below, it gets back to the prompt very quickly.

tiddlywiki --version still returns 5.1.12

But it doesn't really matter at this point as my main concern is to be able to start the server again. I managed to find and remove a few zero length files and now the server starts again. Wonderful!

Thank you...

... and hats off for the magic of TW :)

Jeremy Ruston

unread,
Aug 8, 2016, 5:42:17 AM8/8/16
to tiddl...@googlegroups.com
Hi Olivier

The upgrade to 5.1.13 didn’t take place. When using the upgrade command below, it gets back to the prompt very quickly.

tiddlywiki --version still returns 5.1.12

You could try:

sudo npm --verbose update -g tiddlywiki

Best wishes

Jeremy

PMario

unread,
Aug 8, 2016, 5:56:16 AM8/8/16
to TiddlyWiki
Hi Oliver,

Which node --version do you use?

-m

Olivier Tripet

unread,
Aug 8, 2016, 7:28:11 AM8/8/16
to TiddlyWiki
Hi Mario,

6.3.1

-o

Olivier Tripet

unread,
Aug 30, 2016, 2:00:28 AM8/30/16
to TiddlyWiki
Hi Jeremy, your suggested command returns:

npm verb outdated not updating tiddlywiki because it's currently at the maximum version that matches its specified semver range

Any iddea what it means?

Thanks,

Olivier

Danielo Rodríguez

unread,
Aug 30, 2016, 3:16:41 AM8/30/16
to TiddlyWiki
Why don't you uninstall and install tw again?

npm un -g tiddlywiky
npm i - g tiddlywiky

Olivier Tripet

unread,
Aug 30, 2016, 4:31:14 AM8/30/16
to TiddlyWiki
well... it was as simple as that. Thank you!
Reply all
Reply to author
Forward
0 new messages